
@import "compass/css3";

.rectangulo {
  width: 250px; 
  height: 100px; 
  border: 3px solid #555;
  background: #428bca;
}

.line {
  height: 3px;
  width: 50%;
  background-color: #555;
}

.section, .slide {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.flex-content, [class*="card"] blockquote {
  padding-top: 0rem;
  padding-bottom: 0rem;
}

.grid-chiquita {
    display: grid;
    background: #f7f9fb;
    grid-template-columns: 0.5cm 0.5cm 0.5cm 0.5cm;
    grid-template-rows: 0.5cm 0.5cm 0.5cm 0.5cm 0.5cm;
    grid-column-gap: 1mm;
    grid-row-gap: 1mm;
    justify-content: center;
    align-content: center;
    text-align: center;
    
    grid-template-areas: "title title title title" "a1 a2 a3 a4" "b1 b2 b3 b4" "c1 c2 c3 c4" "d1 d2 d3 d4";
  }
      
  .title { grid-area: title; }
  
  .a1 { 
    grid-area: a1; 
    background-color:green;
    -webkit-animation-name: toRed;  /* Safari 4.0 - 8.0 */
    -webkit-animation-duration: 0.6s;  /* Safari 4.0 - 8.0 */  
    -webkit-animation-fill-mode: forwards; /* Safari 4.0 - 8.0 */
    animation-name: toRed;
    animation-duration: 0.6s;  
    animation-fill-mode: forwards;
  }


  .a2 { 
    grid-area: a2; 
    background-color:red;
    animation: example;
  }
  
  .a3 { 
    grid-area: a3; 
    background-color:red;
  }
  
  .a4 { 
    grid-area: a4; 
    background-color:red;
  }
  
/* ANIMATION */

  @keyframes toRed {
    to {background-color: blue;}
  }

  @-webkit-keyframes toRed {
    to {background-color: blue;}
  }
  


  /* IMAGEN CHANGE */
  .imagenCambiante {
    transition: opacity 1.5s ease-in-out;
  }
  
  .imagenCambiante img {
    position: absolute;
    left: 0;
    transition: opacity 1.5s ease-in-out;
  }
  
  .imagenCambiante img.top:hover {
    opacity: 0;
  }
